Template::Plugin::Iterator(3)

NAME
Template::Plugin::Iterator - Plugin to create iterators (Template::Iterator)

SYNOPSIS
    [% USE iterator(list, args) %]

    [% FOREACH item = iterator %]
       [% '<ul>' IF iterator.first %]
       <li>[% item %]
       [% '</ul>' IF iterator.last %]
    [% END %]

DESCRIPTION
The iterator plugin provides a way to create a Template::Iterator object to iterate over a data set. An iterator is implicitly automatically by the FOREACH directive. This plugin allows the iterator to be explicitly created with a given name.

AUTHOR
Andy Wardley <abw@wardley.org> <http://wardley.org/>

COPYRIGHT
Copyright (C) 1996-2022 Andy Wardley. All Rights Reserved.

This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
Template::Plugin, Template::Iterator